Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class TrackingLevel

    java.lang.Object
      com.bea.wli.management.configuration.TrackingLevel

All Implemented Interfaces:
  Serializable

    public class TrackingLevel

extends Object
implements Serializable

Typesafe enumerated class for describing tracking levels for processes. Tracking level of a process indicates what data related to the execution of an instance will be logged.

See Also:
  Serialized Form

Field Summary
`static TrackingLevel` | `DEFAULT` TrackingLevel indicating that the system wide default TrackingLevel should be used
`static TrackingLevel` | `FULL` TrackingLevel for tracking event information and messages
`static TrackingLevel` | `MINIMUM` TrackingLevel for tracking global events only, such as process start,end, suspend, resume, etc
`static TrackingLevel` | `NODE` TrackingLevel for logging event information only, no messages are logged.
`static TrackingLevel` | `NONE` TrackingLevel for not tracking any events
`static TrackingLevel` | `RELIABLE_TRACKING_OFF`
`static TrackingLevel` | `RELIABLE_TRACKING_ON`
`static List` | `VALUES` List of all TrackingLevel enumerated types.

Method Summary
`int` | `intValue()` Returns an integer representation for this TrackingLevel
`String` | `toString()` Returns string representation of this TrackingLevel
`static TrackingLevel` | `toTrackingLevel(int val)` Returns the Trackinglevel object whose integer representation is the given integer value.
`static TrackingLevel` | `toTrackingLevel(String s)` Returns the Trackinglevel object whose String representation is the given String value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final TrackingLevel NONE

  TrackingLevel for not tracking any events

### MINIMUM

    public static final TrackingLevel MINIMUM

  TrackingLevel for tracking global events only, such as process start,end, suspend, resume, etc

### NODE

    public static final TrackingLevel NODE

  TrackingLevel for logging event information only, no messages are logged.

### FULL

    public static final TrackingLevel FULL

  TrackingLevel for tracking event information and messages

### DEFAULT

    public static final TrackingLevel DEFAULT

  TrackingLevel indicating that the system wide default TrackingLevel should be used

### RELIABLE_TRACKING_ON

    public static final TrackingLevel RELIABLE_TRACKING_ON

### RELIABLE_TRACKING_OFF

    public static final TrackingLevel RELIABLE_TRACKING_OFF

### VALUES

    public static final List VALUES

  List of all TrackingLevel enumerated types.

Method Detail

### toString

    public String toString()

  Returns string representation of this TrackingLevel

  Overrides:
    `toString` in class `Object`

### intValue

    public int intValue()

  Returns an integer representation for this TrackingLevel

  See Also:
    `toTrackingLevel(int)`

### toTrackingLevel

    public static TrackingLevel toTrackingLevel(int val)

  Returns the Trackinglevel object whose integer representation is the given integer value.

  Throws:
    `IllegalArgumentException` - if the integer value does not represent a valid TrackingLevel object.

### toTrackingLevel

    public static TrackingLevel toTrackingLevel(String s)

  Returns the Trackinglevel object whose String representation is the given String value.

  Throws:
    `IllegalArgumentException` - if the String value does not represent a valid TrackingLevel object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD